package projectMonorail.Entities;

import java.awt.*;

public class EntityMonorail extends EntityLocomotive {

    private Color additionalColor;

    public Color getAdditionalColor() {
        return additionalColor;
    }

    private boolean magneticRail;

    public boolean getMagneticRail() {
        return magneticRail;
    }

    private boolean extraCabin;

    public boolean getExtraCabin() {
        return extraCabin;
    }

    public EntityMonorail(int speed, double weight, Color mainColor, Color
            additionalColor, boolean magneticRail, boolean extraCabin) {
        super(speed, weight, mainColor);
        this.additionalColor = additionalColor;
        this.magneticRail = magneticRail;
        this.extraCabin = extraCabin;
    }
}
